#*************************************************************************
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# 
# Copyright 2008 by Sun Microsystems, Inc.
#
# OpenOffice.org - a multi-platform office productivity suite
#
# $RCSfile: makefile.mk,v $
#
# $Revision: 1.34.82.1 $
#
# This file is part of OpenOffice.org.
#
# OpenOffice.org is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# only, as published by the Free Software Foundation.
#
# OpenOffice.org is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License version 3 for more details
# (a copy is included in the LICENSE file that accompanied this code).
#
# You should have received a copy of the GNU Lesser General Public License
# version 3 along with OpenOffice.org.  If not, see
# <http://www.openoffice.org/license.html>
# for a copy of the LGPLv3 License.
#
#*************************************************************************
PRJ=..$/..

PRJNAME=			framework
TARGET=				fwk_helper
USE_DEFFILE=		TRUE
ENABLE_EXCEPTIONS=	TRUE

# --- Settings -----------------------------------------------------

.INCLUDE :  		settings.mk

# --- defines ------------------------------------------------------

CDEFS+=-DCOMPMOD_NAMESPACE=framework

# --- Generate -----------------------------------------------------

SLOFILES= 			$(SLO)$/ocomponentaccess.obj					\
                    $(SLO)$/ocomponentenumeration.obj				\
                    $(SLO)$/oframes.obj								\
                    $(SLO)$/statusindicatorfactory.obj				\
                    $(SLO)$/statusindicator.obj						\
                    $(SLO)$/imageproducer.obj						\
                    $(SLO)$/propertysetcontainer.obj				\
                    $(SLO)$/actiontriggerhelper.obj					\
                    $(SLO)$/persistentwindowstate.obj				\
                    $(SLO)$/networkdomain.obj						\
                    $(SLO)$/acceleratorinfo.obj                     \
                    $(SLO)$/uielementwrapperbase.obj                \
                    $(SLO)$/popupmenucontrollerbase.obj             \
                    $(SLO)$/dockingareadefaultacceptor.obj          \
                    $(SLO)$/uiconfigelementwrapperbase.obj          \
                    $(SLO)$/shareablemutex.obj                      \
                    $(SLO)$/vclstatusindicator.obj                  \
                    $(SLO)$/wakeupthread.obj                        \
                    $(SLO)$/configimporter.obj                      \
                    $(SLO)$/tagwindowasmodified.obj                 \
                    $(SLO)$/titlebarupdate.obj                      \
                    $(SLO)$/titlehelper.obj                         \
                    $(SLO)$/mischelper.obj

# --- Targets ------------------------------------------------------

.INCLUDE :			target.mk
